Page MenuHomePhabricator

Months missing leading 0 (e.g. "2018-7") from citoid
Closed, ResolvedPublicBUG REPORT

Description

Steps to Reproduce:

  • Use the beta WikiText editor citation tool on any PubMed PMID, the date will be wrongly formatted (missing 0). This does not happen with the old "cite journal" citation tool from the old editor. Tried to reproduce on the test2 site but citation tool is not working (says it could not cite automatically from PMID).

Actual Results:

  • Example: using PMID 28692197, date result: 2018-7

Expected Results:

Details

Related Gerrit Patches:
mediawiki/services/citoid : masterFix ISO-like dates with no leading 0s

Event Timeline

Signimu created this task.Oct 2 2019, 10:04 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 2 2019, 10:04 AM
Signimu updated the task description. (Show Details)Oct 2 2019, 10:06 AM
Signimu updated the task description. (Show Details)
Aklapper added a comment.EditedOct 2 2019, 11:12 AM

@Signimu: Thanks for reporting this. Please provide clear steps, click by click, how to use a "beta WikiText editor citation tool" somewhere. Thanks!

(Also see https://www.mediawiki.org/wiki/Editor for which editor you are using.)

Aklapper changed the task status from Open to Stalled.Oct 2 2019, 11:43 AM

Which web browser and version is used? Which language settings does that browser have?

@Aklapper : Hello, yes sorry I forgot these infos, thank you for the Editor link!

  • To enable the beta WikiText editor, go into Preferences > Beta features > New wikitext mode. Then the new citation tool is available. To reuse the Editor terminology you link, the date formatting works correctly with "cite journal" in "Extension:WikiEditor", but not in "2017 wikitext editor".
  • I am on Windows 10 64-bits (standard update branch), using Chrome browser v77.0.3865.90 64 bits (standard branch).
Aklapper renamed this task from Beta WikiText editor citation tool bad date formatting to Bad date formatting (e.g. "2018-7") in NWE2017 citation tool.Oct 3 2019, 8:56 AM
Aklapper changed the task status from Stalled to Open.
Restricted Application added a project: VisualEditor. · View Herald TranscriptOct 3 2019, 8:56 AM
JTannerWMF added subscribers: Mvolz, JTannerWMF.

Hey @Mvolz let us know if you plan to pick this up or if we should move this to the freezer

Mvolz added a comment.Oct 10 2019, 4:30 PM

Hey @Mvolz let us know if you plan to pick this up or if we should move this to the freezer

I can pick this up.

Mvolz renamed this task from Bad date formatting (e.g. "2018-7") in NWE2017 citation tool to Months missing leading 0 (e.g. "2018-7") from citoid.Oct 10 2019, 4:30 PM
Mvolz claimed this task.
Mvolz triaged this task as Medium priority.
Dvorapa added a subscriber: Dvorapa.Nov 6 2019, 7:26 PM

Change 550819 had a related patch set uploaded (by Mvolz; owner: Mvolz):
[mediawiki/services/citoid@master] Fix ISO-like dates with no leading 0s

https://gerrit.wikimedia.org/r/550819

Change 550819 merged by jenkins-bot:
[mediawiki/services/citoid@master] Fix ISO-like dates with no leading 0s

https://gerrit.wikimedia.org/r/550819

Mvolz closed this task as Resolved.Wed, Dec 4, 1:47 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptWed, Dec 4, 1:47 PM